curl --request POST \
--url https://api.clickpesa.com/third-parties/billpay/create-order-control-number \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billDescription": "Water Bill - July 2024",
"billPaymentMode": "EXACT",
"billAmount": 90900,
"billReference": "CUSTOMJH121"
}
'{
"billPayNumber": "55042914871931",
"billDescription": "Generic Bamboo Chees",
"billCustomerName": "Mr. Freddie Walker-Graham",
"billAmount": 90900,
"billPaymentMode": "EXACT"
}Generates a BillPay Control Number for a specific bill, transaction or invoice
curl --request POST \
--url https://api.clickpesa.com/third-parties/billpay/create-order-control-number \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billDescription": "Water Bill - July 2024",
"billPaymentMode": "EXACT",
"billAmount": 90900,
"billReference": "CUSTOMJH121"
}
'{
"billPayNumber": "55042914871931",
"billDescription": "Generic Bamboo Chees",
"billCustomerName": "Mr. Freddie Walker-Graham",
"billAmount": 90900,
"billPaymentMode": "EXACT"
}Documentation Index
Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...
Description of the bill
"Water Bill - July 2024"
Payment mode for the bill. Applied only when billAmount is set
ALLOW_PARTIAL_AND_OVER_PAYMENT, EXACT Amount of the bill
90900
Custom bill reference (alphanumeric). If provided, this will be the number used to make payment. If not provided, the system auto-generates one
Successfully generated BillPay Control Number
BillPay number - This is the number that will be used to make payment. If a custom billReference was provided in the request, this will match that value.
"55042914871931"
Description of the bill
"Generic Bamboo Chees"
Name of the customer - for customer billpay numbers
"Mr. Freddie Walker-Graham"
Amount of the bill
90900
Payment mode for the bill. Applied only when billAmount is set
"EXACT"